package com.zhangmeng.admin.manager.service;

import com.wf.captcha.SpecCaptcha;
import com.zhangmeng.model.base.baseService.BaseService;
import com.zhangmeng.model.entity.VerificationCode;


/**
 * @author zhangmeng
 * @version 1.0
 * @date 2021/4/1 21:32
 */
public interface VerificationCodeService extends BaseService<VerificationCode> {

    public void mysql_save(SpecCaptcha specCaptcha);

    public boolean mysql_verify(String code);

    public void redis_save(SpecCaptcha specCaptcha);

    public void cacheVerificationCode(String generatorVerificationCode);
}